### Signal

# Gtk FontChooser::font-activated

#### Declaration

    void
    font_activated (
      GtkFontChooser self,
      gchar* fontname,
      gpointer user_data
    )

#### Description [src]

Emitted when a font is activated.

This usually happens when the user double clicks an item, or an item is selected and the user presses one of the keys Space, Shift+Space, Return or Enter.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`fontname` | `gchar*`
| The font name.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.